( function( $ ) {
    "use strict";
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction('frontend/element_ready/tmuserb-posts.default', function($scope){
            $scope.find('.tmuserb-table-container-2').css('visibility', 'visible');
            if($('body').hasClass("elementor-editor-active")) {
                $scope.find('.tmuserb-table-2').DataTable({
                    dom: 'frtip',
                    paging: true,
                    pagingType: 'numbers',
                    pageLength: 10,
                    info: true,
                    scrollX: true,
                    searching: true,
                    ordering:  true,
                    order: [[ 1, "desc" ]]
                });
            }
        });
    });
} )( jQuery );